package com.diagbot.entity;

import java.io.Serializable;
import java.util.Date;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

/**
 * 
 * @author wangfeng
 * @Description: 用户信息类表
 * @date 2018年9月17日 下午4:35:35
 */
@TableName("sys_user and sys_user_organization")
public class UserInfo implements Serializable{
	
	 private static final long serialVersionUID = 1L;
	 
	 /**
	     * 用户ID
	     */
	    @TableId(value = "id", type = IdType.AUTO)
	    private Long userId;

	    /**
	     * 记录创建时间
	     */
	    private Date userGmtCreate;
	   
	    /**
	     * 用户名
	     */
	    private String userName;

	    /**
	     * 联系人
	     */
	    private String linKman;

	    /**
	     * 邮箱
	     */
	    private String email;
	    /**
	     * 机构ID
	     */
	    @TableId(value = "id", type = IdType.AUTO)
	    private Long orgId;

	    /**
	     * 记录创建时间
	     */
	    private Date orgGmtCreate;


	    /**
	     * 机构名称
	     */
	    private String orgName;


		public Long getUserId() {
			return userId;
		}


		public void setUserId(Long userId) {
			this.userId = userId;
		}


		public Date getUserGmtCreate() {
			return userGmtCreate;
		}


		public void setUserGmtCreate(Date userGmtCreate) {
			this.userGmtCreate = userGmtCreate;
		}


		public String getUserName() {
			return userName;
		}


		public void setUserName(String userName) {
			this.userName = userName;
		}


		public String getLinKman() {
			return linKman;
		}


		public void setLinKman(String linKman) {
			this.linKman = linKman;
		}


		public String getEmail() {
			return email;
		}


		public void setEmail(String email) {
			this.email = email;
		}


		public Long getOrgId() {
			return orgId;
		}


		public void setOrgId(Long orgId) {
			this.orgId = orgId;
		}


		public Date getOrgGmtCreate() {
			return orgGmtCreate;
		}


		public void setOrgGmtCreate(Date orgGmtCreate) {
			this.orgGmtCreate = orgGmtCreate;
		}


		public String getOrgName() {
			return orgName;
		}


		public void setOrgName(String orgName) {
			this.orgName = orgName;
		}


		public static long getSerialversionuid() {
			return serialVersionUID;
		}


		@Override
		public String toString() {
			return "UserInfo [userId=" + userId + ", userGmtCreate=" + userGmtCreate + ", userName=" + userName
					+ ", linKman=" + linKman + ", email=" + email + ", orgId=" + orgId + ", orgGmtCreate="
					+ orgGmtCreate + ", orgName=" + orgName + "]";
		}
	    
	    

}
